'use strict'

class Register {
  get rules() {
    return {
      name: 'required|min:1', email: 'required|email|unique:users',
          password: 'required|string|min:6', terms: 'required|string|min:1',
    }
  }
  get messages() {
    return {
      'name.min': 'Must provide a name',
          'email.unique': 'This email is already taken',
          'required': 'This is required',
          'email.unique': 'This email is already taken',
          'password.min': 'Password must be at least 6 chars long',
          'terms.min': 'Must confirm terms and conditions'
    }
  }
}

module.exports = Register
